/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/CLOPTION.CPP   1.2.1.5   17 Apr 1997 15:43:22   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/CLOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:43:22   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:17:40   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:29:10   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:10:30   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:15:32   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:26:44   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:45:06   ZJRD
** Initial revision.
** 
**    Rev 1.3.1.0.1.2   09 Dec 1996 10:14:10   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.3.1.0.1.0   11 Nov 1996 12:57:26   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.3.1.4   09 Sep 1996 13:13:24   ZJRD
** No change.
** 
**    Rev 1.3.1.3   05 Sep 1996 11:24:56   ZJRD
** No change.
** 
**    Rev 1.3.1.2   02 Sep 1996 09:52:04   ZJRD
** No change.
** 
**    Rev 1.3.1.1   28 Aug 1996 15:43:44   ZJRD
** EasyPack/SLD Version 1.9b
** 
**    Rev 1.3.1.0   12 Aug 1996 10:49:08   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.0   29 May 1996 09:35:34   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// cloption.cpp
//
// Michael Long
//                                                                           
// 5/15/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "cl.h"
#include "cloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLOption dialog


CLOption::CLOption(CLTool * pTool)
    : CPropertyPage(CLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(CLOption)

	//}}AFX_DATA_INIT
}

void CLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CLOption)
    DDX_Text(pDX, IDC_CLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_CLOPT_PATH_EDIT, m_strPath);
	DDX_Text(pDX, IDC_CLOPT_PATH_LIBEDIT, m_libPath);
	//}}AFX_DATA_MAP
}

void CLOption::SaveData(void)
{
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_libPath.TrimLeft();
    m_libPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
    m_pTool->m_libPath      = m_libPath;
}

void CLOption::LoadData(void)
{
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath; 
    m_libPath      = m_pTool->m_libPath;

}

BEGIN_MESSAGE_MAP(CLOption, CPropertyPage)
    //{{AFX_MSG_MAP(CLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CLOption message handlers
